Subject: RE: bug#12705: 24.2.50; `Info-complete-menu-item' should use `add-to-list', not `push', to prevent duplicates

From: "Drew Adams" <[email-masked]>
Date: Mon, 29 Oct 2012 08:37:30 -0700

> Sounds reasonable.  Done in trunk, using delete-dups instead of
> add-to-list (in case info.el switches to lexical binding).

Thx.

Just curious - how would add-to-list interfere with lexical binding (or vice
versa)?

Seems odd that we would add and then delete, instead of adding only if not
present, just to dance around (the possibility of) lexical binding.

To be clear, I have no objection at all - nothing wrong with adding and then
deleting.  I'd just like to understand the problem being avoided.